Bug 11527 - [sysklogd-1.3.31-14] klogd can't write to log when using "append only" bit on log file
Summary: [sysklogd-1.3.31-14] klogd can't write to log when using "append only" bit on...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-19 18:21 UTC by heckmann
Modified: 2014-03-17 02:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-19 18:21:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description heckmann 2000-05-19 18:21:04 UTC
Actually, it's a little more complicated than that, when the append only
bit is set on a log file using "chattr", when /etc/rc.d/init/syslog is used
to start logging after a reboot for example, klogd cannot write to the log
file. If I start syslogd and klogd manually, all is good. I narrowed it
down to the "daemon" wrapper function that is used to start syslogd and
klogd, if I remove "daemon" from in front of syslogd and klogd it works
fine... I haven't investegated further... What gives?

PS: the append only bit is important when used in conjunction with
capability bounding sets for secure systems like a firewall.

Comment 1 Pekka Savola 2000-07-12 14:46:02 UTC
Works with rawhide syslog and initscripts.



Note You need to log in before you can comment on or make changes to this bug.